### Method

# Clutter Actor set_rotation_angle

#### Declaration [src]

    void
    clutter_actor_set_rotation_angle (
      ClutterActor* self,
      ClutterRotateAxis axis,
      gdouble angle
    )

#### Description [src]

Sets the `angle` of rotation of a `ClutterActor` on the given `axis`.

This function is a convenience for setting the rotation properties `ClutterActor:rotation-angle-x`, `ClutterActor:rotation-angle-y`, and `ClutterActor:rotation-angle-z`.

The center of rotation is established by the `ClutterActor:pivot-point` property.

#### Parameters

`axis`

  Type: `ClutterRotateAxis`

  The axis to set the angle one.

`angle`

  Type: `gdouble`

  The angle of rotation, in degrees.